<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Game extends Model
{
    use HasFactory;
    use SoftDeletes;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'name',
        'alt_titles',
        'platform_id',
        'description',
        'source',
        'boxart',
        'genre_ids',
        'developers',
        'publishers',
        'composers',
        'website',
        'na_release_date',
        'eu_release_date',
        'jp_release_date',
        'aus_release_date',
        'esrb_rating',
        'pegi_rating',
        'cero_rating',
        'acb_rating',
        'requested_by',
        'added_by'
    ];

    /**
     * Game relation to platform model
     *
     * @return \Illuminate\Database\Eloquent\Relations\HasOne
     */
    public function platform()
    {
        return $this->hasOne(Platform::class, 'id', 'platform_id');
    }
}
