@php
$client = new JoyPixels\Client(new JoyPixels\Ruleset());
$client->ascii = true;
@endphp

<x-base-layout>

    <!--begin::Row-->
    <div class="row gy-5 g-xl-8">
        <!--begin::Col-->
        <div class="col-xxl-8">
            <div class="card shadow-sm">
                <div class="card-header">
                    <h3 class="card-title">Privacy Policy</h3>
                </div>
                <div class="card-body">
                    <h4>Website Visitors</h4>
                    <p>Like most website operators, MyVideoGameList collects non-personally-identifying information of the sort that web browsers and servers typically make available, such as the browser type, language preference, referring site, and the date and time of each visitor request. MyVideoGameList's purpose in collecting non-personally identifying information is to better understand how MyVideoGameList's visitors use its website. From time to time, MyVideoGameList may release non-personally-identifying information in the aggregate, e.g., by publishing a report on trends in the usage of its website.<br />
                    <br />
                    MyVideoGameList also collects potentially personally-identifying information like Internet Protocol (IP) addresses for logged in users and for users leaving comments on MyVideoGameList.com accounts and games. MyVideoGameList only discloses logged in user and commenter IP addresses under the same circumstances that it uses and discloses personally-identifying information as described below, except that commenter IP addresses are visible and disclosed to the administrators of the site where the comment was left.</p>
                    <h4>Gathering of Personally-Identifying Information</h4>
                    <p>Certain visitors to MyVideoGameList's websites choose to interact with MyVideoGameList in ways that require MyVideoGameList to gather personally-identifying information. The amount and type of information that MyVideoGameList gathers depends on the nature of the interaction. For example, we ask visitors who sign up for an account at MyVideoGameList.com to provide a username and email address. In each case, MyVideoGameList collects such information only insofar as is necessary or appropriate to fulfill the purpose of the visitor's interaction with MyVideoGameList. MyVideoGameList does not disclose personally-identifying information other than as described below. And visitors can always refuse to supply personally-identifying information, with the caveat that it may prevent them from engaging in certain website-related activities.</p>
                    <h4>Aggregated Statistics</h4>
                    <p>MyVideoGameList may collect statistics about the behavior of visitors to its websites. For instance, MyVideoGameList may monitor the most popular accounts and lists on the MyVideoGameList.com site. MyVideoGameList may display this information publicly or provide it to others. However, MyVideoGameList does not disclose personally-identifying information other than as described below.</p>
                    <h4>Protection of Certain Personally-Identifying Information</h4>
                    <p>MyVideoGameList discloses potentially personally-identifying and personally-identifying information only to those of its employees, contractors and affiliated organizations that</p>
                    <ul style="list-style-type: lower-roman;">
                        <li>need to know that information in order to process it on MyVideoGameList's behalf or to provide services available at MyVideoGameList's websites, and</li>
                        <li>that have agreed not to disclose it to others.</li>
                    </ul>
                    <p>Some of those employees, contractors and affiliated organizations may be located outside of your home country; by using MyVideoGameList's websites, you consent to the transfer of such information to them. MyVideoGameList will not rent or sell potentially personally-identifying and personally-identifying information to anyone. Other than to its employees, contractors and affiliated organizations, as described above, MyVideoGameList discloses potentially personally-identifying and personally-identifying information only in response to a subpoena, court order or other governmental request, or when MyVideoGameList believes in good faith that disclosure is reasonably necessary to protect the property or rights of MyVideoGameList, third parties or the public at large. If you are a registered user of an MyVideoGameList website and have supplied your email address, MyVideoGameList may occasionally send you an email to tell you about new features, solicit your feedback, or just keep you up to date with what's going on with MyVideoGameList and our products. We primarily use our various product blogs to communicate this type of information, so we expect to keep this type of email to a minimum. If you send us a request (for example via a support email or via one of our feedback mechanisms), we reserve the right to publish it in order to help us clarify or respond to your request or to help us support other users. MyVideoGameList takes all measures reasonably necessary to protect against the unauthorized access, use, alteration or destruction of potentially personally-identifying and personally-identifying information.</p>
                    <h4>Cookies</h4>
                    <p>A cookie is a string of information that a website stores on a visitor's computer, and that the visitor's browser provides to the website each time the visitor returns. MyVideoGameList uses cookies to help MyVideoGameList identify and track visitors, their usage of MyVideoGameList website, and their website access preferences. MyVideoGameList visitors who do not wish to have cookies placed on their computers should set their browsers to refuse cookies before using MyVideoGameList's websites, with the drawback that certain features of MyVideoGameList's websites may not function properly without the aid of cookies.</p>
                    <h4>Business Transfers</h4>
                    <p>If MyVideoGameList, or substantially all of its assets were acquired, or in the unlikely event that MyVideoGameList goes out of business or enters bankruptcy, user information would be one of the assets that is transferred or acquired by a third party. You acknowledge that such transfers may occur, and that any acquiror of MyVideoGameList may continue to use your personal information as set forth in this policy.</p>
                    <h4>Ads</h4>
                    <p>Ads appearing on any of our websites may be delivered to users by advertising partners, who may set cookies. These cookies allow the ad server to recognize your computer each time they send you an online advertisement to compile information about you or others who use your computer. This information allows ad networks to, among other things, deliver targeted advertisements that they believe will be of most interest to you. This Privacy Policy covers the use of cookies by MyVideoGameList and does not cover the use of cookies by any advertisers.</p>
                    <h4>Privacy Policy Changes</h4>
                    <p>Although most changes are likely to be minor, MyVideoGameList may change its Privacy Policy from time to time, and in MyVideoGameList's sole discretion. MyVideoGameList encourages visitors to frequently check this page for any changes to its Privacy Policy. If you have a WordPress.com account, you should also check your blog's dashboard for alerts to these changes. Your continued use of this site after any change in this Privacy Policy will constitute your acceptance of such change.</p>
                    <div class="separator my-5"></div>
                    <p><span class="fw-bolder">Last Updated:</span> April 25, 2022</p>
                </div>
            </div>
        </div>
        <!--end::Col-->

        <!--begin::Col-->
        <div class="col-xxl-4">
            @if (Auth::check())
            {{ theme()->getView('partials/general/_donate-block') }}
            @endif
            {{ theme()->getView('partials/general/_recent-user-updates-block') }}
            {{ theme()->getView('partials/general/_most-popular-games-block') }}
        </div>
        <!--end::Col-->

    </div>

</x-base-layout>
